package com.andengine.blackdog.main;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import com.andengine.blackdog.R;
import com.andengine.blackdog.chapter1.MainActivity_1_3_3;
import com.andengine.blackdog.chapter2.ImageLoad;
import com.andengine.blackdog.chapter2.ShowSixCard;
import com.andengine.blackdog.chapter2.ShowSixCardClap;
import com.andengine.blackdog.chapter2.ShowSixCardFinish;
import com.andengine.blackdog.chapter2.ShowSixCardMusic;
import com.andengine.blackdog.chapter2.ShowSixCardSound;
import com.andengine.blackdog.chapter2.ShowTwoCard;
import com.andengine.blackdog.chapter2.TouchAllImageLoad;
import com.andengine.blackdog.chapter2.TouchImageLoad;
import com.andengine.blackdog.chapter2.TouchImageLoadCon;
import com.andengine.blackdog.chapter3.CharacterAdd;
import com.andengine.blackdog.chapter3.CharacterButton;
import com.andengine.blackdog.chapter3.CharacterJump_3_4_3;
import com.andengine.blackdog.chapter3.FontSample;
import com.andengine.blackdog.chapter3.JumpSample;
import com.andengine.blackdog.chapter3.JumpSampleAni;
import com.andengine.blackdog.chapter3.Scroll;
import com.andengine.blackdog.chapter3.Scroll3;
import com.andengine.blackdog.chapter3.sub3_5_1.CharacterJump_3_5_1;
import com.andengine.blackdog.chapter3.sub3_5_2.CharacterJump_3_5_2;
import com.andengine.blackdog.chapter3.sub3_5_3.CharacterJump_3_5_3;
import com.andengine.blackdog.chapter3.sub3_6_2.CharacterJump_3_6_2;
import com.andengine.blackdog.chapter4.Intro4;
import com.andengine.blackdog.chapter5.Intro5;
import com.andengine.blackdog.chapter5.MainActivity_5_2_10;
import com.andengine.blackdog.chapter5.MainActivity_5_2_11;
import com.andengine.blackdog.chapter5.MainActivity_5_2_12;
import com.andengine.blackdog.chapter5.MainActivity_5_2_13;
import com.andengine.blackdog.chapter5.MainActivity_5_2_14;
import com.andengine.blackdog.chapter5.MainActivity_5_2_3;
import com.andengine.blackdog.chapter5.MainActivity_5_2_4;
import com.andengine.blackdog.chapter5.MainActivity_5_2_5;
import com.andengine.blackdog.chapter5.MainActivity_5_2_6;
import com.andengine.blackdog.chapter5.MainActivity_5_2_7_1;
import com.andengine.blackdog.chapter5.MainActivity_5_2_7_2;
import com.andengine.blackdog.chapter5.MainActivity_5_2_8;
import com.andengine.blackdog.chapter5.MainActivity_5_2_9_1;
import com.andengine.blackdog.chapter5.MainActivity_5_2_9_2;

public class MoneyAndroidActivity extends Activity {

	List<String> jList = new ArrayList<String>();
	ArrayAdapter<String> adapter = null;
	ListView listview = null;
	Intent intent = null;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main_src);

		jList.add("한빛미디어 출판사는? :: 한빛미디어의 모바일 웹사이트 입니다."); // icox 0
		jList.add("DevGames 까페  Go! :: 저자 최원효(BlackDog)가 운영하는 모바일 게임 개발 까페입니다."); // qna 1
		jList.add("만들면서 배우는 AndEngine 책은? :: 한빛 미디어에서 2013년에  출판한 AndEngine 개발 서적입니다. 안드로이드에서 쉽게 모바일 게임 개발이 가능합니다."); // book 2
		jList.add("1.3.3.샘플 프로젝트 :: AndEngine 기본 프로젝트 폼"); // 3
		jList.add("2.2.1.이미지 한장 띄우기 :: 카드 이미지 한장 띄우기"); // 4
		jList.add("2.3.1.이미지 터치시 변경하기 :: 카드를 터치하면 뒤집어요. 두번터치하면 아직 앱이 죽습니다."); // 5
		jList.add("2.3.2.전체 화면 터치시 변경하기 :: 화면 아무데나 터치하면 뒤집어요. 연속 터치시 죽음."); // 6
		jList.add("2.3.3.계속해서 카드 뒤집기 :: 연속 터치에 대한 처리를 한 예제"); // 7
		jList.add("2.4.1.사과카드 2장 출력하기 :: 화면에 카드 2장을 뿌립니다."); // 8
		jList.add("2.4.2.사과카드 6장 출력하기 :: 카드 6장 배치하기"); // 9
		jList.add("2.4.3.카드게임 완성하기 :: 완성된 카드게임"); // 10
		jList.add("2.5.1.배경음 처리 :: 볼륨을 높여 배경음을 들어보세요."); // 11
		jList.add("2.5.3.효과음 처리 :: 볼륨을 높여 카드 소리를 들어보세요."); // 12
		jList.add("2.5.5.박수치기 :: 게임을 끝내면 박수 소리가 들려요."); // 13
		jList.add("3.2.1.횡스크롤 배경 만들기 :: 배경 횡스크롤 예제입니다."); // 14
		jList.add("3.2.2.배경에 속도가 다른 추가 이미지 넣기 :: 여러장 이미지의 스크롤"); // 15
		jList.add("3.3.1.버튼과 캐릭터 이미지 추가하기 :: 버튼과 캐릭터를 띄워 보아요."); // 16
		jList.add("3.3.2.버튼터치시버튼색상과캐릭터바꾸기 : 버튼 터치시 효과주기"); // 17
		jList.add("3.4.1.점프샘플 만들기 :: 간단한 점프 구현. 메모리 때문에 2번실행시는 앱을 다시 실행하세요."); // 18
		jList.add("3.4.2.점프 애니메이션 구현하기 :: 점프를 애니메이션으로 구현. 메모리 때문에 2번실행시는 앱을 다시 실행하세요."); // 19
		jList.add("3.4.3.점프하기 :: 버튼 눌러 점프하기를 구현합니다."); // 20

		jList.add("3.5.1.허들의 출력과 이동 :: 좌우 버튼을 눌러 달리다보면 허들이 등장합니다."); // 21
		jList.add("3.5.2.허들과 러너의 충돌 체크 그리고 러너처리 :: 허들과의 충돌에 대한 처리"); // 22
		jList.add("3.5.3.허들 연속 출력 :: 허들이 연속으로 나타나요."); // 23
		jList.add("3.6.1.다양한 글꼴 모양 출력 :: 여러가지 글꼴을 살펴봅니다."); // 24
		jList.add("3.6.2.거리, 시간, 속도 표현 :: 거리, 시간, 속도 등의 텍스트를 표시합니다."); // 25

		jList.add("4.Finger Hurdle 게임 :: 핑거 허들을 즐겨 보아요."); // 26
		// 5장 14개
		jList.add("5.2.3.위에서 떨어지는 캐릭터의 등장 :: 위에서 물리 엔진이 적용된 캐릭터가 나타나요."); // 27
		jList.add("5.2.4.물리엔진의 벽 만들기 :: 위에서 낙하하는 캐릭터가 바닥(벽)에서 멈춥니다."); // 28
		jList.add("5.2.5.컨트롤러로 캐릭터를 움직이자! :: 캐릭터를 좌우로 움직여 볼까요? 아직 화면 밖으론 못 나가요."); // 29
		jList.add("5.2.6.점프하기 :: 물리엔진이 적용된 캐릭터를 버튼으로 점프시켜 봅시다. 아직 화면 밖으론 못 나가요."); // 30
		jList.add("5.2.7.1.표창던지기 간단히 구현하기 :: 표창을 던져 보아요. 아직 화면 밖으론 못 나가요."); // 31
		jList.add("5.2.7.2.표창던지기의 디테일 설정 :: 표창이 일직선으로 나가게 해 봅시다. 아직 화면 밖으론 못 나가요."); // 32
		jList.add("5.2.8.거대한 맵에서 화면 이동하기 :: 맵을 더 확장해 볼까요? 이제 화면 밖으로 이동할 수 있습니다."); // 33
		jList.add("5.2.9.1.적을 등장시켜라! :: 적닌자가 등장합니다."); // 34
		jList.add("5.2.9.2.표창으로 적 무찌르기 :: 표창으로 적을 무찔러요."); // 35
		jList.add("5.2.10.플레이어와 적의 충돌처리&에너지바 :: 적과 충돌하면 에너지가 줄어듭니다."); // 36
		jList.add("5.2.11.우측으로 달리는 러너 게임 :: 플레이어가 우측으로 계속해서 자동으로 달리도록 해보죠."); // 37
		jList.add("5.2.12.가로로 맵 확장 및 튜닝 :: 확장된 맵에서 우측으로 자동 이동 합니다."); // 38
		jList.add("5.2.13.동전먹기 구현 :: 동전 먹기를 구현 해 보아요!"); // 39
		jList.add("5.2.14.획득한 돈과 달린거리 표시 :: 점수 등을 텍스트로 표기 합니다."); // 40
		jList.add("5.닌자런 :: 완성된 닌자런 게임입니다. ^_^ 수고하셨습니다."); // 41

		listview = (ListView) findViewById(R.id.list);
		adapter = new ArrayAdapter<String>(this, R.layout.row, jList);
		listview.setAdapter(adapter);
		listview.setOnItemClickListener(new OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> arg0, View arg1,
					int position, long arg3) {
				// Toast.makeText(Album.this, mAdapter.getItem(position) +
				// "selected",Toast.LENGTH_SHORT).show();
				switch (position) {
				case 0:
					intent = new Intent(getApplicationContext(), Web.class);
					intent.putExtra("target",
							"http://m.hanb.co.kr/index_mobile.html");
					startActivity(intent);
					break;
				case 1:
					intent = new Intent(getApplicationContext(), Web.class);
					// intent.putExtra("target","http://idevcox.com/index.php?mid=welcome_page&act=dispMenuMenu&menu_srl=62");
					intent.putExtra("target",
							"http://m.cafe.naver.com/andenginekorea");
					startActivity(intent);
					break;
				case 2:
					//yes 24 나올때 까지 잠깐 주석
//					intent = new Intent(getApplicationContext(), Web.class);
//					intent.putExtra("target",
//							"http://www.yes24.com/24/goods/6450545?scode=032&OzSrank=1");
//					startActivity(intent);
					break;
				case 3:
					intent = new Intent(getApplicationContext(),
							MainActivity_1_3_3.class);
					startActivity(intent);
					break;

				case 4:// jList.add("2.2.1.이미지 한장 띄우기"); // 4
					intent = new Intent(getApplicationContext(),
							ImageLoad.class);
					startActivity(intent);
					break;

				case 5:// jList.add("2.3.1.이미지 터치시 변경하기"); // 5
					intent = new Intent(getApplicationContext(),
							TouchImageLoad.class);
					startActivity(intent);
					break;
				case 6: // jList.add("2.3.2.전체 화면 터치시 변경하기");
					intent = new Intent(getApplicationContext(),
							TouchAllImageLoad.class);
					startActivity(intent);
					break;
				case 7:// jList.add("2.3.3.계속해서 카드 뒤집기"); // 7
					intent = new Intent(getApplicationContext(),
							TouchImageLoadCon.class);
					startActivity(intent);
					break;

				case 8:// jList.add("2.4.1.사과카드 2장 출력하기"); // 8
					intent = new Intent(getApplicationContext(),
							ShowTwoCard.class);
					startActivity(intent);
					break;
				case 9:// jList.add("2.4.2.사과카드 6장 출력하기"); // 9
					intent = new Intent(getApplicationContext(),
							ShowSixCard.class);
					startActivity(intent);
					break;
				case 10:// jList.add("2.4.3.카드게임 완성하기"); // 10
					intent = new Intent(getApplicationContext(),
							ShowSixCardFinish.class);
					startActivity(intent);
					break;
				case 11:// jList.add("2.5.1.배경음 처리"); // 11
					intent = new Intent(getApplicationContext(),
							ShowSixCardMusic.class);
					startActivity(intent);
					break;
				case 12:// jList.add("2.5.3.효과음 처리"); // 12
					intent = new Intent(getApplicationContext(),
							ShowSixCardSound.class);
					startActivity(intent);
					break;
				case 13:// jList.add("2.5.5.박수치기"); // 13
					intent = new Intent(getApplicationContext(),
							ShowSixCardClap.class);
					startActivity(intent);
					break;
				case 14:// jList.add("3.2.1.횡스크롤 배경 만들기");
					intent = new Intent(getApplicationContext(), Scroll.class);
					startActivity(intent);
					break;

				case 15:// jList.add("3.2.2.배경에 속도가 다른 추가 이미지 넣기")
					intent = new Intent(getApplicationContext(), Scroll3.class);
					startActivity(intent);
					break;
				case 16:// jList.add("3.3.1.버튼과 캐릭터 이미지 추가하기");
					intent = new Intent(getApplicationContext(),
							CharacterAdd.class);
					startActivity(intent);
					break;
				case 17:// jList.add("3.3.2.버튼터치시버튼색상과캐릭터바꾸기");
					intent = new Intent(getApplicationContext(),
							CharacterButton.class);
					startActivity(intent);
					break;
				case 18:// jList.add("3.4.1.점프샘플 만들기"); // 18
					intent = new Intent(getApplicationContext(),
							JumpSample.class);
					startActivity(intent);
					break;

				case 19:// jList.add("3.4.2.점프 애니메이션 구현하기"); // 19
					intent = new Intent(getApplicationContext(),
							JumpSampleAni.class);
					startActivity(intent);
					break;
				case 20:// jList.add("3.4.3.점프하기"); // 20
					intent = new Intent(getApplicationContext(),
							CharacterJump_3_4_3.class);
					startActivity(intent);
					break;

				case 21:// jList.add("3.5.1.허들의 출력과 이동"); // 21
					intent = new Intent(getApplicationContext(),
							CharacterJump_3_5_1.class);
					startActivity(intent);
					break;
				case 22:// jList.add("3.5.2.허들과 러너의 충돌 체크 그리고 러너처리"); 22
					intent = new Intent(getApplicationContext(),
							CharacterJump_3_5_2.class);
					startActivity(intent);
					break;
				case 23:// jList.add("3.5.3.허들 연속 출력"); // 23
					intent = new Intent(getApplicationContext(),
							CharacterJump_3_5_3.class);
					startActivity(intent);
					break;

				case 24:// jList.add("3.6.1.다양한 글꼴 모양 출력"); // 24
					intent = new Intent(getApplicationContext(),
							FontSample.class);
					startActivity(intent);
					break;
				case 25:// jList.add("3.6.2.거리, 시간, 속도 표현"); // 25
					intent = new Intent(getApplicationContext(),
							CharacterJump_3_6_2.class);
					startActivity(intent);
					break;

				case 26:// jList.add("4.Finger Hurdle 게임"); // 26
					intent = new Intent(getApplicationContext(), Intro4.class);
					startActivity(intent);
					break;

				// ------------------------------------------------
				// 5장
				// ------------------------------------------------
				case 27:// jList.add("5.2.3.위에서 떨어지는 캐릭터의 등장"); // 27
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_3.class);
					startActivity(intent);
					break;
				case 28:// jList.add("5.2.4.물리엔진의 벽 만들기"); //28
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_4.class);
					startActivity(intent);
					break;
				case 29:// jList.add("5.2.5.컨트롤러로 캐릭터를 움직이자!"); //29
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_5.class);
					startActivity(intent);
					break;
				case 30:// jList.add("5.2.6.점프하기"); // 30
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_6.class);
					startActivity(intent);
					break;
				case 31:// jList.add("5.2.7.1.표창던지기 간단히 구현하기"); // 31
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_7_1.class);
					startActivity(intent);
					break;
				case 32:// jList.add("5.2.7.2.표창던지기의 디테일 설정"); // 32
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_7_2.class);
					startActivity(intent);
					break;
				case 33:// jList.add("5.2.8.거대한 맵에서 화면 이동하기"); // 33
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_8.class);
					startActivity(intent);
					break;
				case 34:// jList.add("5.2.9.1.적을 등장시켜라!"); // 34
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_9_1.class);
					startActivity(intent);
					break;
				case 35:// jList.add("5.2.9.2.표창으로 적 무찌르기"); // 35
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_9_2.class);
					startActivity(intent);
					break;
				case 36:// jList.add("5.2.10.플레이어와 적의 충돌처리&에너지바"); 36
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_10.class);
					startActivity(intent);
					break;
				case 37:// jList.add("5.2.11.우측으로 달리는 러너 게임"); // 37
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_11.class);
					startActivity(intent);
					break;
				case 38:// jList.add("5.2.12.가로로 맵 확장 및 튜닝"); // 38
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_12.class);
					startActivity(intent);
					break;
				case 39:// jList.add("5.2.13.동전먹기 구현"); // 39
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_13.class);
					startActivity(intent);
					break;
				case 40:// jList.add("5.2.14.획득한 돈과 달린거리 표시"); // 40
					intent = new Intent(getApplicationContext(),
							MainActivity_5_2_14.class);
					startActivity(intent);
					break;
				case 41:// jList.add("5.닌자런"); // 41
					intent = new Intent(getApplicationContext(), Intro5.class);
					startActivity(intent);
					break;
				default:
					break;
				}
			}
		});
	}

}